Bug 305151 - libblkid doesn't identify squashfs
libblkid doesn't identify squashfs
Product: Fedora
Classification: Fedora
Component: e2fsprogs (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Eric Sandeen
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2007-09-25 10:35 EDT by Jeremy Katz
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: e2fsprogs-1.40.2-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-15 13:53:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeremy Katz 2007-09-25 10:35:22 EDT
squashfs filesystems require explicitly specifying the filesystem type when
mounting with mount as libblkid doesn't identify them.
Comment 2 Eric Sandeen 2007-10-02 14:33:07 EDT
Committed in e2fsprogs-1.40.2-8

(though patch not yet merged upstream)
Comment 3 Eric Sandeen 2007-10-15 13:44:44 EDT
Urgh... doesn't work on big endian boxes.  Sorry, will fix that up.
Comment 4 Eric Sandeen 2007-10-15 13:53:26 EDT
Annnnd fixed (for BE too) now...

Note You need to log in before you can comment on or make changes to this bug.